using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;
using System.ComponentModel;
using System.Windows.Forms;
using System.Drawing.Imaging;
using System.Drawing.Drawing2D;
using System.Runtime.InteropServices;

namespace MKDS_Course_Editor.NKM
{
    public class NkmPoitPoint
    {
        public float GetMinX(float ScaleX, int Width)
        {
            return (X * ScaleX) - (5f / 2f) + (Width / 2f);
        }
        public float GetMaxX(float ScaleX, int Width)
        {
            return (X * ScaleX) + (5f / 2f) + (Width / 2f);
        }
        public float GetMinY(float ScaleY, int Height)
        {
            return (Z * ScaleY) - (5f / 2f) + (Height / 2f);
        }
        public float GetMaxY(float ScaleY, int Height)
        {
            return (Z * ScaleY) + (5f / 2f) + (Height / 2f);
        }

        public NkmPoitPoint(float X, float Y, float Z, int Nr)
        {
            this.X = X;
            this.Y = Y;
            this.Z = Z;
            this.Nr = Nr;
        }

        private float x = 0;
        [Category("Position")]
        public float X
        {
            get { return x; }
            set { x = value; }
        }
        private float y = 0;
        [Category("Position")]
        public float Y
        {
            get { return y; }
            set { y = value; }
        }
        private float z = 0;
        [Category("Position")]
        public float Z
        {
            get { return z; }
            set { z = value; }
        }
        public int Nr = -1;
    }
}
